using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 服务工单督办过程
    /// </summary>
    public class SendSuperviseProcessInfo
    {
        /// <summary>
        /// 督办编号
        /// </summary>
        [JsonPropertyName("SUPERVISE_SERIAL")]
        public string SuperviseSerial { get; set; }

        /// <summary>
        /// 反馈人姓名
        /// </summary>
        [JsonPropertyName("REPLY_NAME")]
        public string ReplyName { get; set; }

        /// <summary>
        /// 反馈时间
        /// </summary>
        [JsonPropertyName("REPLY_TIME")]
        public DateTime? ReplyTime { get; set; }

        /// <summary>
        /// 反馈意见
        /// </summary>
        [JsonPropertyName("REPLY_OPINION")]
        public string ReplyOpinion { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }
    }
}
